Trigger an immediate run of a browser monitor across its configured regions.
POST
/browser_check/{check_id}/run
const url = 'https://api.siteqwality.com/browser_check/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/run';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/browser_check/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/run \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” check_id
required
string format: uuid
Browser monitor identifier
Responses
Section titled “ Responses ”Run started
Media type application/json
object
run_id
required
string format: uuid
regions
required
Array<string>
Example generated
{ "run_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "regions": [ "example" ]}Missing or invalid authentication
Browser monitor not found
Internal server error